Skip to main content
POST
/
exchange_accounts
/
{exchangeAccountId}
/
convert
TypeScript
const response: Promise<FireblocksResponse<ConvertAssetsResponse>> = fireblocks.exchangeAccounts.convertAssets(exchangeAccountsApiConvertAssetsRequest);
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

exchangeAccountId
string
required

The ID of the exchange account. Please make sure the exchange supports conversions. To find the ID of your exchange account, use GET/exchange_accounts.

Body

application/json
srcAsset
string
required

Name of the source asset (must be in a currency that is supported for conversions in the selected exchange type that corresponds to your exchange ID)

destAsset
string
required

Name of the destination asset (must be in a currency that is supported for conversions in the selected exchange type that corresponds to your exchange ID)

amount
number
required

The amount to transfer (in the currency of the source asset)

Response

Conversion successful

success
boolean
required

Indicates whether the conversion was successful